/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomSQLTransaction_H__
#define __GdomSQLTransaction_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomSQLTransaction GdomSQLTransaction;
typedef struct _GdomSQLTransactionClass GdomSQLTransactionClass;


#define GDOM_TYPE_SQL_TRANSACTION            (gdom_sql_transaction_get_type())
#define GDOM_SQL_TRANSACTION(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_SQL_TRANSACTION, GdomSQLTransaction))
#define GDOM_SQL_TRANSACTION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_SQL_TRANSACTION, GdomSQLTransaction)Class)
#define GDOM_IS_SQL_TRANSACTION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_SQL_TRANSACTION))
#define GDOM_IS_SQL_TRANSACTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_SQL_TRANSACTION))
#define GDOM_SQL_TRANSACTION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_SQL_TRANSACTION, GdomSQLTransactionClass))

typedef struct _GdomSQLTransactionPrivate GdomSQLTransactionPrivate;

struct _GdomSQLTransaction {
    GdomDOMObject parent_instance;
    GdomSQLTransactionPrivate *priv;
};

struct _GdomSQLTransactionClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_sql_transaction_get_type (void);


/* XXX TODO: custom function gdom_sql_transaction_execute_sql */

G_END_DECLS

#endif /* __GdomSQLTransaction_H__ */
